---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/v2/llms.txt
---

# Create a Project

Request URI for Sub Account

```
POST /accounts/account_id/projects
```

Request Format

```json
{
    "name": "Project One",
    "languages": [
        "NODEJS",
        "PYTHON"
    ],
    "environments": [
        {
            "name": "Env1",
            "isEnabled": true
        },
        {
            "name": "Env2"
        }
    ],
    "type": "project"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/projects": {
      "post": {
        "summary": "Create a Project",
        "description": "",
        "operationId": "create-a-project",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id",
            "schema": {
              "type": "string",
              "default": "current"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"_data\": {\n        \"id\": 1,\n        \"name\": \"projectOne\",\n        \"accountId\": 1,\n        \"createdOn\": 1621265223,\n        \"modifiedOn\": 1621265223,\n        \"createdBy\": {\n            \"name\": \"Backend Testing\",\n            \"imageUrl\": \"//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png\"\n        },\n        \"languages\": [\n            \"NODEJS\",\n            \"PYTHON\",\n            \"PHP\",\n            \"JAVA\",\n            \"DOTNET\",\n            \"RUBY\",\n            \"GO\",\n            \"JAVASCRIPT\"\n        ],\n        \"environments\": [\n            {\n                \"id\": 1,\n                \"name\": \"Env1\",\n                \"isEnabled\": true,\n                \"token\": \"32ccbd56f7c14b19196475846a4cf745\"\n            },\n            {\n                \"id\": 2,\n                \"name\": \"Env2\",\n                \"isEnabled\": false,\n                \"token\": \"9d6604ca9eb55c4be3e3385a35829d94\"\n            }\n        ],\n        \"setting\": {\n            \"isEditable\": true,\n            \"associatedCampaigns\": []\n        }\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "name": {
                          "type": "string",
                          "example": "projectOne"
                        },
                        "accountId": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "createdOn": {
                          "type": "integer",
                          "example": 1621265223,
                          "default": 0
                        },
                        "modifiedOn": {
                          "type": "integer",
                          "example": 1621265223,
                          "default": 0
                        },
                        "createdBy": {
                          "type": "object",
                          "properties": {
                            "name": {
                              "type": "string",
                              "example": "Backend Testing"
                            },
                            "imageUrl": {
                              "type": "string",
                              "example": "//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png"
                            }
                          }
                        },
                        "languages": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "NODEJS"
                          }
                        },
                        "environments": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "integer",
                                "example": 1,
                                "default": 0
                              },
                              "name": {
                                "type": "string",
                                "example": "Env1"
                              },
                              "isEnabled": {
                                "type": "boolean",
                                "example": true,
                                "default": true
                              },
                              "token": {
                                "type": "string",
                                "example": "32ccbd56f7c14b19196475846a4cf745"
                              }
                            }
                          }
                        },
                        "setting": {
                          "type": "object",
                          "properties": {
                            "isEditable": {
                              "type": "boolean",
                              "example": true,
                              "default": true
                            },
                            "associatedCampaigns": {
                              "type": "array"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```